# IdeaJavaLanguageSettings

interface IdeaJavaLanguageSettings

Describes Java language settings for an IDEA module.

#### Since

2.11

## Functions

getJdk
Link copied to clipboard
abstract fun getJdk(): InstalledJdk
Returns the JDK used for building.
getLanguageLevel
Link copied to clipboard
abstract fun getLanguageLevel(): JavaVersion
Returns the Java language level.
getTargetBytecodeVersion
Link copied to clipboard
abstract fun getTargetBytecodeVersion(): JavaVersion
Returns the target bytecode level.